## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-snakemake-storage-plugin-gcs
Version:        0.1.3
Release:        %autorelease
Summary:        A Snakemake storage plugin for Google Cloud Storage

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-storage-plugin-gcs
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-storage-plugin-gcs-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  %{py3_dist pytest}
BuildRequires:  snakemake >= 8

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-snakemake-storage-plugin-gcs
Summary:        %{summary}

%description -n python3-snakemake-storage-plugin-gcs %{common_description}


%prep
%autosetup -n snakemake-storage-plugin-gcs-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files snakemake_storage_plugin_gcs


%check
# Just in case the tests are not very thorough:
%pyproject_check_import

# The following tests require network access *and* cloud credentials:
k="${k-}${k+ and }not (TestStorage and test_storage)"
k="${k-}${k+ and }not (TestStorage and test_storage_dbg)"
k="${k-}${k+ and }not (TestStorage and test_storage_not_existing)"

%pytest -v -k "${k-}" tests/tests.py


%files -n python3-snakemake-storage-plugin-gcs -f %{pyproject_files}
%license COPYRIGHT LICENSE NOTICE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.3-1
- Initial package (close RHBZ#2259247)
## END: Generated by rpmautospec
